Package org.apache.tapestry5.internal.services.javascript

# Class JavaScriptStackPathConstructorImpl

java.lang.Object
org.apache.tapestry5.internal.services.javascript.JavaScriptStackPathConstructorImpl

All Implemented Interfaces:
  `JavaScriptStackPathConstructor`

public class JavaScriptStackPathConstructorImpl extends Object implements JavaScriptStackPathConstructor

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JavaScriptStackPathConstructorImpl(ThreadLocale threadLocale, AssetPathConstructor assetPathConstructor, JavaScriptStackSource javascriptStackSource, JavaScriptStackAssembler assembler, ResponseCompressionAnalyzer compressionAnalyzer, boolean combineScripts)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<String>`
  `constructPathsForJavaScriptStack(String stackName)`
  Given a stack, by name, return a list of URL paths for the individual libraries in the stack.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### JavaScriptStackPathConstructorImpl

    public JavaScriptStackPathConstructorImpl(ThreadLocale threadLocale, AssetPathConstructor assetPathConstructor, JavaScriptStackSource javascriptStackSource, JavaScriptStackAssembler assembler, ResponseCompressionAnalyzer compressionAnalyzer, @Symbol("tapestry.combine-scripts") boolean combineScripts)

- ## Method Details

  - ### constructPathsForJavaScriptStack

    public List<String> constructPathsForJavaScriptStack(String stackName)
    Description copied from interface: `JavaScriptStackPathConstructor`
    Given a stack, by name, return a list of URL paths for the individual libraries in the stack. If scripts are combined, this will be a single (combined) URL.
    Specified by:
      `constructPathsForJavaScriptStack` in interface `JavaScriptStackPathConstructor`
    Parameters:
      `stackName` - name of `JavaScriptStack`